%define name	unzip
%define version 6.0
%define release %mkrel 2
%define src_ver	%(echo %version|sed "s/\\.//"g)

Summary:	Unpacks ZIP files such as those made by pkzip under DOS
Summary(de):	Entpackt ZIP-Dateien wie PKZIP unter DOS
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://ftp.info-zip.org/pub/infozip/src/%{name}%{src_ver}.tar.xz
URL:		http://www.info-zip.org/pub/infozip/UnZip.html
Patch0:		%{name}-6.0-libnatspec.patch
Patch1:		unzip-6.0-CVE-2014-8139.patch
Patch2:		unzip-6.0-CVE-2014-8140.patch
Patch3:		unzip-6.0-CVE-2014-8141.patch
Patch4:		unzip-6.0-overflow2.patch
License:	BSD-like
Group:		Archiving/Compression
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}natspec-devel
Requires: glibc >= 2.20

%description
unzip will list, test, or extract files from a ZIP archive, commonly found
on MS-DOS systems. A companion program, zip, creates ZIP archives; both
programs are compatible with archives created by PKWARE's PKZIP and
PKUNZIP for MS-DOS, but in many cases the program options or default
behaviors differ.
%description -l de
unzip bildet eine Liste, testen oder Extrahieren von Dateien aus einem ZIP-Archiven, 
häufig auf MS-DOS-Systeme zufinden. Ein Begleitprogramm, zip, erstellt ZIP-Archive: 
beide Programme sind kompatibel mit den Archiven von PKWARE PKZIP und PKUNZIP für MS-DOS, 
aber in vielen Fällen sind die Programm-Optionen oder Standardverhalten abweichent.

%prep

%setup -qn %{name}%{src_ver}
%apply_patches

%build
%make -ef unix/Makefile linux_noasm CF="%{optflags} -D_FILE_OFFSET_BITS=64 -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DNATIVE -Wall -I."

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

ln -sf unzip zipinfo
for i in unzip funzip unzipsfx zipinfo;	do install $i %{buildroot}%{_bindir}; done
install unix/zipgrep %{buildroot}%{_bindir}

for i in man/*.1; do install -m 644 $i %{buildroot}%{_mandir}/man1/; done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING.OLD Contents History.* INSTALL README ToDo WHERE
%doc proginfo/
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Wed Feb 04 2015 bb <bb> 6.0-2pclos2015
- security update 

* Sun Jul 11 2010 maik3531 <maik3531 at yahoo.de> 6.0-1pclos2010
- 6.0
- add german description

* Fri Mar 21 2008 Texstar <texstar@gmail.com> 5.52-4pclos2007
- security update
